package cn.iocoder.yudao.module.system.enums.robot.task;


import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * robot_task_detail 的 manual_intervention 是否人工干预(0:未干预、1：RCS关闭、2：RCS人工完成、3：远遥取货完成、4：远遥任务完成、5：远遥取货完成和远遥任务完成)',
 *
 */
@Getter
@AllArgsConstructor
public enum RobotTaskManualInterventionEnum {

    UN_DO(0,"未干预"),
    RCS_CLOSE(1,"RCS关闭"),
    RCS_DONE(2,"RCS人工完成"),
    REMOTE_DO_TAKE(3,"远遥取货完成"),
    REMOTE_TASK_DONE(4,"远遥任务完成"),
    REMOTE_TAKE_TASK(5,"远遥取货完成和远遥任务完成");
    /**
     * 类型
     */
    private final Integer type;
    private final String msg;
}
